export class CircumferenceModel {
    constructor(center, radius) {
        this.center = center;
        this.radius = radius;
        this._coordinates = [];
        this._coordinates[0] = this.center.posX;
        this._coordinates[1] = this.center.posY;
        this._coordinates[2] = this.radius.posX;
        this._coordinates[3] = this.radius.posY;
    }
    getRadius() {
        this._coordinates[0] = this.center.posX;
        this._coordinates[1] = this.center.posY;
        this._coordinates[2] = this.radius.posX;
        this._coordinates[3] = this.radius.posY;
        const legA = this._coordinates[2] - this._coordinates[0];
        const legB = this._coordinates[3] - this._coordinates[1];
        const radius = Math.sqrt(Math.pow(legA, 2) + Math.pow(legB, 2));
        return radius;
    }
}